NX Open C++ Reference Guide
|
Represents a Features::ShipDesign::EdgeCut builder. More...
Public Types | |
enum | ArraySpacing { ArraySpacingEvenDistribution, ArraySpacingCustomDefined } |
available methods used to define the spacing between the cuts More... | |
Public Member Functions | |
int | CutCount () |
Returns the number of cuts Created in NX8.5.0. | |
NXOpen::Expression * | CutOrientationAngle () |
Returns the cut orientation angle. | |
NXOpen::GeometricUtilities::OnPathDimensionBuilder * | EndPositionOnGuide () |
Returns the offset from the end of the guide curve (or end trim object) where cut placement will end. | |
NXOpen::Section * | GuideCurve () |
Returns the guide curve used to place the cuts (may be made up of edges or curves) Created in NX8.5.0. | |
NXOpen::Expression * | GuideOffset () |
Returns the guide offset (how far away to place the cuts from the guide curve) Created in NX8.5.0. | |
NXOpen::Features::ShipDesign::ManufacturingStockBuilder * | ManufacturingInformation () |
Returns the manufacturing stock builder that holds the manufacturing data. | |
NXOpen::SelectNXObject * | SelectEndLimit () |
Returns the select end limit. | |
NXOpen::SelectNXObject * | SelectStartLimit () |
Returns the select start limit. | |
NXOpen::SelectFaceList * | SelectTargetFace () |
Returns the select target face Created in NX8.5.0. | |
void | SetCutCount (int cutCount) |
Sets the number of cuts Created in NX8.5.0. | |
void | SetSpacing (NXOpen::Features::ShipDesign::EdgeCutBuilder::ArraySpacing spacing) |
Sets the spacing (even distribution or custom defined) Created in NX8.5.0. | |
void | SetSymmetricOffsets (bool symmetricOffsets) |
Sets the symmetric offsets toggle. | |
NXOpen::Features::ShipDesign::SteelFeatureSpreadsheetBuilder * | SketchBlock () |
Returns the sketch block. | |
NXOpen::Expression * | SpaceBetweenCuts () |
Returns the distance between each cut. | |
NXOpen::Features::ShipDesign::EdgeCutBuilder::ArraySpacing | Spacing () |
Returns the spacing (even distribution or custom defined) Created in NX8.5.0. | |
NXOpen::GeometricUtilities::OnPathDimensionBuilder * | StartPositionOnGuide () |
Returns the offset from the start of the guide curve (or start trim object) where cut placement will begin Created in NX8.5.0. | |
bool | SymmetricOffsets () |
Returns the symmetric offsets toggle. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a Features::ShipDesign::EdgeCut builder.
The Edge Cut creates a series of cuts with an offset from an edge or curve.
To create a new instance of this class, use Features::ShipCollection::CreateEdgeCutBuilder
Default values.
Property | Value |
---|---|
CutCount |
0 |
CutOrientationAngle.Value |
0 |
GuideOffset.Value |
50 (millimeters part), 2 (inches part) |
SpaceBetweenCuts.Value |
50 (millimeters part), 2 (inches part) |
Spacing |
EvenDistribution |
SymmetricOffsets |
0 |
Created in NX8.5.0.
int NXOpen::Features::ShipDesign::EdgeCutBuilder::CutCount | ( | ) |
Returns the number of cuts
Created in NX8.5.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::ShipDesign::EdgeCutBuilder::CutOrientationAngle | ( | ) |
Returns the cut orientation angle.
Typically the x axis of the cut's cross section sketch is parallel to the guide curve, the orientation angle rotates the sketch away from the guide curve
Created in NX8.5.0.
License requirements : None
NXOpen::GeometricUtilities::OnPathDimensionBuilder* NXOpen::Features::ShipDesign::EdgeCutBuilder::EndPositionOnGuide | ( | ) |
Returns the offset from the end of the guide curve (or end trim object) where cut placement will end.
Note if the spacing is set to CustomDefined, you won't notice the end trim getting used, unless you try to place too many cuts between along the guide (including any trim objects and offsets added by the Start and End positions on the guide).
Created in NX8.5.0.
License requirements : None
NXOpen::Section* NXOpen::Features::ShipDesign::EdgeCutBuilder::GuideCurve | ( | ) |
Returns the guide curve used to place the cuts (may be made up of edges or curves)
Created in NX8.5.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::ShipDesign::EdgeCutBuilder::GuideOffset | ( | ) |
Returns the guide offset (how far away to place the cuts from the guide curve)
Created in NX8.5.0.
License requirements : None
NXOpen::Features::ShipDesign::ManufacturingStockBuilder* NXOpen::Features::ShipDesign::EdgeCutBuilder::ManufacturingInformation | ( | ) |
Returns the manufacturing stock builder that holds the manufacturing data.
Created in NX8.5.1.
License requirements : None
NXOpen::SelectNXObject* NXOpen::Features::ShipDesign::EdgeCutBuilder::SelectEndLimit | ( | ) |
Returns the select end limit.
The end limit is used to trim the end of the guide curve. Note if the spacing is set to CustomDefined, you won't notice the end trim getting used, unless you try to place too many cuts between the start and end trim (including any offsets added by the Start and End positions on the guide).
Created in NX8.5.0.
License requirements : None
NXOpen::SelectNXObject* NXOpen::Features::ShipDesign::EdgeCutBuilder::SelectStartLimit | ( | ) |
Returns the select start limit.
The start limit is used to trim the start of the guide curve.
Created in NX8.5.0.
License requirements : None
NXOpen::SelectFaceList* NXOpen::Features::ShipDesign::EdgeCutBuilder::SelectTargetFace | ( | ) |
Returns the select target face
Created in NX8.5.0.
License requirements : None
void NXOpen::Features::ShipDesign::EdgeCutBuilder::SetCutCount | ( | int | cutCount | ) |
Sets the number of cuts
Created in NX8.5.0.
License requirements : nx_ship_detail ("Ship Detail Design")
cutCount | cutcount |
void NXOpen::Features::ShipDesign::EdgeCutBuilder::SetSpacing | ( | NXOpen::Features::ShipDesign::EdgeCutBuilder::ArraySpacing | spacing | ) |
Sets the spacing (even distribution or custom defined)
Created in NX8.5.0.
License requirements : nx_ship_detail ("Ship Detail Design")
spacing | spacing |
void NXOpen::Features::ShipDesign::EdgeCutBuilder::SetSymmetricOffsets | ( | bool | symmetricOffsets | ) |
Sets the symmetric offsets toggle.
Note this is ignored if spacing is set to custom defined. When symmetric offsets are used, the length of the guide is divided by the number of cuts to define the space between cuts, and half of the distance between each cut is applied as a start and end offset along the guide.
Created in NX8.5.0.
License requirements : nx_ship_detail ("Ship Detail Design")
symmetricOffsets | symmetricoffsets |
NXOpen::Features::ShipDesign::SteelFeatureSpreadsheetBuilder* NXOpen::Features::ShipDesign::EdgeCutBuilder::SketchBlock | ( | ) |
Returns the sketch block.
<br> Users can specify the hole shape using a single sketch. The sketch type and its parameters are controlled by the @link Features::ShipDesign::SteelFeatureSpreadsheetBuilder Features::ShipDesign::SteelFeatureSpreadsheetBuilder@endlink . <br>
Created in NX8.5.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::ShipDesign::EdgeCutBuilder::SpaceBetweenCuts | ( | ) |
Returns the distance between each cut.
Note this is ignored if spacing is set to equal spacing.
Created in NX8.5.0.
License requirements : None
NXOpen::Features::ShipDesign::EdgeCutBuilder::ArraySpacing NXOpen::Features::ShipDesign::EdgeCutBuilder::Spacing | ( | ) |
Returns the spacing (even distribution or custom defined)
Created in NX8.5.0.
License requirements : None
NXOpen::GeometricUtilities::OnPathDimensionBuilder* NXOpen::Features::ShipDesign::EdgeCutBuilder::StartPositionOnGuide | ( | ) |
Returns the offset from the start of the guide curve (or start trim object) where cut placement will begin
Created in NX8.5.0.
License requirements : None
bool NXOpen::Features::ShipDesign::EdgeCutBuilder::SymmetricOffsets | ( | ) |
Returns the symmetric offsets toggle.
Note this is ignored if spacing is set to custom defined. When symmetric offsets are used, the length of the guide is divided by the number of cuts to define the space between cuts, and half of the distance between each cut is applied as a start and end offset along the guide.
Created in NX8.5.0.
License requirements : None